Name: H5Pget_fill_time
Signature:
  herr_t `H5Pget_fill_time`(hid_t `plist_id`, H5D_fill_time_t *`fill_time` )
Purpose:
  Retrieves the time when fill value are written to a dataset.
Description:
  `H5Pget_fill_time` examines the dataset creation property list `plist_id` to determine when fill values are to be written to a dataset.

  Valid values returned in `fill_time` are as follows:

  | `H5D_FILL_TIME_IFSET` | Fill values are written to the dataset when storage space is allocated only if there is a user-defined fill value, i.e., one set with H5Pset_fill_value. (Default)
  | `H5D_FILL_TIME_ALLOC` | Fill values are written to the dataset when storage space is allocated.
  | `H5D_FILL_TIME_NEVER` | Fill values are never written to the dataset.

Note:
  `H5Pget_fill_time` is designed to work in coordination with the dataset fill value and dataset storage allocation time properties, retrieved with the functions `H5Pget_fill_value` and `H5Pget_alloc_time`.
Parameters:

hid_t `plist_id` | IN: Dataset creation property list identifier.
H5D_fill_time_t *`fill_time` | OUT: Setting for the timing of writing fill values to the dataset.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_fill_time_f

      SUBROUTINE h5pget_fill_time_f(plist_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! Dataset creation property
                                               ! list identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: flag  ! Fill time flag
                                               ! Possible values are:
                                               !    H5D_FILL_TIME_ERROR_F
                                               !    H5D_FILL_TIME_ALLOC_F
                                               !    H5D_FILL_TIME_NEVER_F
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fill_time_f

History:

Release | C
1.6.0 | Function introduced in this release.